Bug 438779 - No sound w/32-bit Quake 4 in 64-bit F8
No sound w/32-bit Quake 4 in 64-bit F8
Status: CLOSED DUPLICATE of bug 438781
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 00:07 EDT by CL
Modified: 2008-04-24 08:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 08:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CL 2008-03-25 00:07:43 EDT
Description of problem:

Quake 4 is having sound issues as well as other apps such as the newest stable
Skype. I have tried everything I could find from Google and this forum including
removing alsa-plugins-pulseaudio through yum. I have just one video card. I
tried a custom .asoundrc I found online, but that didn't work, so I got rid of
that. I've tried pasuspender. I've tried compiling the latest alsa-oss, but I
need it for 32 bit apps in 64-bit Linux. Ubuntu had packages for that that began
with ia32. I had ia32-alsa-oss, ia32-libs, etc... 

Version-Release number of selected component (if applicable):

[root@localhost ~]# rpm -qa | grep alsa
alsa-lib-1.0.15-1.fc8
alsa-utils-1.0.15-1.fc8
alsa-lib-1.0.15-1.fc8
alsa-lib-devel-1.0.15-1.fc8
[root@localhost ~]# 

How reproducible:

Each and every time I use Skype and Quake 4.

Steps to Reproduce:
1. Install Quake 4 using the latest shell script from idsoftware's ftp site.
2. Copy .pk4 files as described in the instructions to the proper folder.
3. Run quake4 and quake4-smp from the command line to watch for errors.
  
Actual results:

[chris@localhost ~]$ quake4
Quake4  V1.4.2 linux-x86 Jun 15 2007
found interface lo - loopback
found interface eth1 - 192.168.1.109/255.255.255.0
found interface virbr0 - 192.168.122.1/255.255.255.0
CPU: AMD CPU with MMX & 3DNow! & SSE & SSE2 & SSE3
enabled Flush-To-Zero mode
--------- Initializing File System ----------
Loaded pk4 /home/chris/Gamez/quake4/q4base/game000.pk4 with checksum 0xb3abe28c
Loaded pk4 /home/chris/Gamez/quake4/q4base/game100.pk4 with checksum 0x74b379d9
Loaded pk4 /home/chris/Gamez/quake4/q4base/game200.pk4 with checksum 0xa3c810d9
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak001.pk4 with checksum 0xf2cbc998
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak002.pk4 with checksum 0x7f8d80d1
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak003.pk4 with checksum 0x1b57b207
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak004.pk4 with checksum 0x385aa578
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak005.pk4 with checksum 0x60d50a1d
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak006.pk4 with checksum 0x9099ed11
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak007.pk4 with checksum 0xaf301fff
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak008.pk4 with checksum 0x4ac6f6d9
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak009.pk4 with checksum 0x36030c7d
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak010.pk4 with checksum 0x4b80fbda
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak011.pk4 with checksum 0x8acf4cfa
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak012.pk4 with checksum 0xbe4120b0
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak013.pk4 with checksum 0x6ad67f40
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak014.pk4 with checksum 0xee51cd59
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak015.pk4 with checksum 0xf5bf4e0c
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak016.pk4 with checksum 0x2196f58c
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak017.pk4 with checksum 0x91118a35
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak018.pk4 with checksum 0x98a14f03
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak019.pk4 with checksum 0xbc82ac79
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak020.pk4 with checksum 0xce74cda5
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak021.pk4 with checksum 0x2ba6e70c
Loaded pk4 /home/chris/Gamez/quake4/q4base/pak022.pk4 with checksum 0x4e390eec
Loaded pk4 /home/chris/Gamez/quake4/q4base/q4cmp_pak001.pk4 with checksum 0xd0813943
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_english.pk4 with checksum 0x5868f530
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_english_01.pk4 with checksum
0xd9f04b8b
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_english_02.pk4 with checksum
0x9dbd91fd
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_english_03.pk4 with checksum
0x2eb6ad8
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_english_04.pk4 with checksum
0xd3fefaa1
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_french.pk4 with checksum 0xbec7cb4
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_italian.pk4 with checksum 0x1e3aa0f
Loaded pk4 /home/chris/Gamez/quake4/q4base/zpak_spanish.pk4 with checksum 0xb706e2b8
Addon pk4 /home/chris/Gamez/quake4/q4base/q4cmp_pak001.pk4 with checksum
0xd0813943 is on addon list
Current search path:
/home/chris/.quake4/q4base
/home/chris/Gamez/quake4/q4base
/home/chris/Gamez/quake4/q4base/zpak_spanish.pk4 (3542 files)
/home/chris/Gamez/quake4/q4base/zpak_italian.pk4 (3500 files)
/home/chris/Gamez/quake4/q4base/zpak_french.pk4 (3462 files)
/home/chris/Gamez/quake4/q4base/zpak_english_04.pk4 (3 files)
/home/chris/Gamez/quake4/q4base/zpak_english_03.pk4 (4 files)
/home/chris/Gamez/quake4/q4base/zpak_english_02.pk4 (21 files)
/home/chris/Gamez/quake4/q4base/zpak_english_01.pk4 (1 files)
/home/chris/Gamez/quake4/q4base/zpak_english.pk4 (3457 files)
/home/chris/Gamez/quake4/q4base/pak022.pk4 (14 files)
/home/chris/Gamez/quake4/q4base/pak021.pk4 (89 files)
/home/chris/Gamez/quake4/q4base/pak020.pk4 (11 files)
/home/chris/Gamez/quake4/q4base/pak019.pk4 (1206 files)
/home/chris/Gamez/quake4/q4base/pak018.pk4 (3 files)
/home/chris/Gamez/quake4/q4base/pak017.pk4 (3 files)
/home/chris/Gamez/quake4/q4base/pak016.pk4 (193 files)
/home/chris/Gamez/quake4/q4base/pak015.pk4 (34 files)
/home/chris/Gamez/quake4/q4base/pak014.pk4 (552 files)
/home/chris/Gamez/quake4/q4base/pak013.pk4 (239 files)
/home/chris/Gamez/quake4/q4base/pak012.pk4 (1081 files)
/home/chris/Gamez/quake4/q4base/pak011.pk4 (5620 files)
/home/chris/Gamez/quake4/q4base/pak010.pk4 (5539 files)
/home/chris/Gamez/quake4/q4base/pak009.pk4 (1284 files)
/home/chris/Gamez/quake4/q4base/pak008.pk4 (1289 files)
/home/chris/Gamez/quake4/q4base/pak007.pk4 (1330 files)
/home/chris/Gamez/quake4/q4base/pak006.pk4 (1343 files)
/home/chris/Gamez/quake4/q4base/pak005.pk4 (1395 files)
/home/chris/Gamez/quake4/q4base/pak004.pk4 (2249 files)
/home/chris/Gamez/quake4/q4base/pak003.pk4 (1281 files)
/home/chris/Gamez/quake4/q4base/pak002.pk4 (313 files)
/home/chris/Gamez/quake4/q4base/pak001.pk4 (5837 files)
/home/chris/Gamez/quake4/q4base/game200.pk4 (9 files)
/home/chris/Gamez/quake4/q4base/game100.pk4 (2 files)
/home/chris/Gamez/quake4/q4base/game000.pk4 (2 files)
game DLL: 0x0 in pak: 0x0
Addon pk4s:
/home/chris/Gamez/quake4/q4base/q4cmp_pak001.pk4 (119 files)
file system initialized.
---------------------------------------------
------------ Initializing Decls -------------
Loading guides.... 64 loaded
284ms to load 1125k of material
104ms to load 43k of skin
208ms to load 723k of sound
5ms to load 1k of materialType
402ms to load 2889k of lipSync
87ms to load 105k of playback
1193ms to load 1690k of effect
---------------------------------------------
-------- Initializing renderSystem ----------
using ARB renderSystem
renderSystem initialized.
---------------------------------------------
Found default language English with VO
.... found additional language 'french' with VO
.... found additional language 'italian' with VO
.... found additional language 'spanish' with VO
696 strings read from strings/english_code.lang
1794 strings read from strings/english_guis.lang
5756 strings read from strings/english_lips.lang
5759 strings read from strings/english_mappack.lang
6235 strings read from strings/english_maps.lang
632 strings read from strings/french_code.lang
1654 strings read from strings/french_guis.lang
5616 strings read from strings/french_lips.lang
5619 strings read from strings/french_mappack.lang
6088 strings read from strings/french_maps.lang
632 strings read from strings/italian_code.lang
1654 strings read from strings/italian_guis.lang
5616 strings read from strings/italian_lips.lang
5619 strings read from strings/italian_mappack.lang
6088 strings read from strings/italian_maps.lang
632 strings read from strings/spanish_code.lang
1654 strings read from strings/spanish_guis.lang
5616 strings read from strings/spanish_lips.lang
5619 strings read from strings/spanish_mappack.lang
6088 strings read from strings/spanish_maps.lang
Couldn't open journal files
execing default.cfg
"ALT" isn't a valid key
"CTRL" isn't a valid key
couldn't exec editor.cfg
execing Quake4Config.cfg
couldn't exec autoexec.cfg
-------- Initializing Sound System ----------
sound system initialized.
---------------------------------------------
--------------- R_InitOpenGL ----------------
Initializing SDL subsystem
Loading GL driver 'libGL.so.1' through SDL
SDL_ListModes:
1600x1200 1440x900 1400x1050 1360x768 1280x1024 1280x960 1280x800 1280x768
1280x720 1152x864 1152x768 
1024x768 960x600 960x540 840x525 832x624 800x600 720x450 720x400 700x525 680x384 
640x480 640x400 640x350 576x384 512x384 400x300 320x240 320x175 
SDL_ListModes are currently ignored for resolution filtering. Set r_useSDLModes
to 1 if you want it
8/8/8/8 RGBA bits, 24 depth bits, 8 stencil bits
no multisampling
dlopen(libasound.so.2)
asoundlib version: 1.0.15
Alsa is available
------ Alsa Sound Initialization -----
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM 
snd_pcm_open SND_PCM_STREAM_PLAYBACK '' failed: No such file or directory
dlclose
--------------------------------------
----------- Alsa Shutdown ------------
--------------------------------------
...using GL_ARB_multitexture
...using GL_ARB_texture_env_combine
...using GL_ARB_texture_cube_map
...using GL_ARB_texture_env_dot3
...using GL_ARB_texture_env_add
...using GL_ARB_texture_non_power_of_two
...using GL_NV_blend_square
...using GL_ARB_texture_compression
...using GL_EXT_texture_compression_s3tc
...using GL_EXT_texture_filter_anisotropic
   maxTextureAnisotropy: 16.000000
...using GL_EXT_texture_lod
...using GL_1.4_texture_lod_bias
X..GL_EXT_shared_texture_palette not found
...using GL_EXT_draw_range_elements
...using GL_EXT_blend_minmax
X..GL_NV_float_buffer not found
...using GL_EXT_texture3D
...using GL_EXT_stencil_wrap
X..GL_NV_register_combiners not found
...using NV_vertex_program
...using NV_fragment_program
X..GL_EXT_stencil_two_side not found
X..GL_ATI_separate_stencil not found
X..GL_ATI_fragment_shader not found
X..GL_ATI_text_fragment_shader not found
X..GL_ARB_vertex_buffer_object not found
...using GL_ARB_vertex_program
...using GL_ARB_fragment_program
X..GL_ARB_shader_objects not found
X..EXT_depth_bounds_test not found
---------------- R_NV20_Init ----------------
Not available.
----------------- R200_Init -----------------
Not available.
---------------- R_ARB2_Init ----------------
Available.
---------------------------------------------
------------ R_ReloadARBPrograms ------------
glprogs/test.vfp
glprogs/test.vfp
glprogs/interaction.vfp
glprogs/interaction.vfp
glprogs/bumpyEnvironment.vfp
glprogs/bumpyEnvironment.vfp
glprogs/ambientLight.vfp
glprogs/ambientLight.vfp
glprogs/SimpleInteraction.vfp
glprogs/SimpleInteraction.vfp
glprogs/shadow.vp
glprogs/R200_interaction.vp
glprogs/nv20_bumpAndLight.vp
glprogs/nv20_diffuseColor.vp
glprogs/nv20_specularColor.vp
glprogs/nv20_diffuseAndSpecularColor.vp
glprogs/environment.vfp
glprogs/environment.vfp
glprogs/arbVP_glasswarp.txt
glprogs/arbFP_glasswarp.txt
---------------------------------------------
WARNING: vertex array range in virtual memory (SLOW)
using ARB2 renderSystem
reloading textures/common/debuggraph.
reloading makeIntensity( gfx/lights/squarelight1a).
reloading gfx/lights/squarelight1.
reloading gfx/lights/round.
reloading gfx/guis/mainmenu/splash.
reloading gfx/guis/soundmeter/audiobg.
reloading gfx/guis/white.
reloading gfx/guis/guicursor_arrow.
reloading gfx/guis/guicursor_hand.
reloading gfx/guis/scrollbarh.
reloading gfx/guis/scrollbarv.
reloading gfx/guis/scrollbar_thumb.
reloading gfx/guis/scrollbar_right.
reloading gfx/guis/scrollbar_left.
reloading gfx/guis/scrollbar_up.
reloading gfx/guis/scrollbar_down.
reloading fonts/english/bigchars.
found DLL in pak file: /home/chris/Gamez/quake4/q4base/game100.pk4/gamex86.so
copy gamex86.so to /home/chris/.quake4/q4base/gamex86.so
enabled Flush-To-Zero mode
------------- Initializing Game -------------
gamename: baseQUAKE4-1
gamedate: Jun 15 2007
372ms to load 644k of entityDef
92ms to load 177k of articulatedFigure
Initializing event system
...531 event definitions
Initializing class hierarchy
...247 classes, 598968 bytes for event callbacks
Initializing scripts
/proc/cpuinfo CPU frequency: 2150.15 MHz
Compiled '/home/chris/.quake4/q4base/scripts/main.script': 3758.0 ms
-------------- Compile stats ----------------

Memory usage:
     Strings: 54, 8464 bytes
  Statements: 84435, 1688700 bytes
   Functions: 3361, 380380 bytes
   Variables: 324172 bytes
    Mem used: 3532564 bytes
 Static data: 4948144 bytes
   Allocated: 6313684 bytes
 Thread size: 7072 bytes

...5 aas types
game initialized.
---------------------------------------------
Loading viseme file: annosoft
----------- Initializing Session ------------
----------------- BSE Init ------------------
--------- BSE Created Successfully ----------
session initialized
---------------------------------------------
------ Common Initialization Complete -------
terminal support enabled ( use +set in_tty 0 to disabled )
pid: 20432
detecting video ram ( set sys_videoRam to force ) ..
found XNVCtrl extension 1.14
2150 MHz CPU
2016 MB System Memory
320 MB Video Memory
Async thread started
------------ Game Map Shutdown --------------
---------------------------------------------
--------------- BSE Shutdown ----------------
---------------------------------------------
idRenderSystem::Shutdown()
Shutting down SDL subsystem
--------------- Game Shutdown ---------------
rvStatAllocator:  dump of usage stats
        0 total bytes handed out in 0 requests
        begin game:      0;  end game:        0
        player hit:      0;  player kill:     0
        player death:    0;
        damage dealt:    0;  damage taken:    0
        stat team:       0
        flag capture:    0;
        flag drop:       0;  flag return:     0
------------ Game Map Shutdown --------------
---------------------------------------------
Shutdown event system
---------------------------------------------
shutdown terminal support
[chris@localhost ~]$ 










Running quake4-smp from the command line:

... (too much to display in a terminal window)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
ENABLE_INTEL_VERTEXCACHE_OPT: Possible Junk (!block->vbo)
------------ Game Map Shutdown --------------
---------------------------------------------
--------------- BSE Shutdown ----------------
---------------------------------------------
idRenderSystem::Shutdown()
Shutting down SDL subsystem
--------------- Game Shutdown ---------------
rvStatAllocator:  dump of usage stats
        0 total bytes handed out in 0 requests
        begin game:      0;  end game:        0
        player hit:      0;  player kill:     0
        player death:    0;
        damage dealt:    0;  damage taken:    0
        stat team:       0
        flag capture:    0;
        flag drop:       0;  flag return:     0
------------ Game Map Shutdown --------------
---------------------------------------------
Shutdown event system
---------------------------------------------
shutdown terminal support
[chris@localhost ~]$ 

Expected results:

Working sound like I had in 64-bit Ubuntu 7.10.

Additional info:

I will file another bug report for the sound problems with Skype in F8 64-bit.
Comment 1 CL 2008-04-23 10:23:43 EDT
Fixed by this.

https://bugzilla.redhat.com/show_bug.cgi?id=438779
Comment 2 Martin Stransky 2008-04-24 08:21:54 EDT

*** This bug has been marked as a duplicate of 438781 ***

Note You need to log in before you can comment on or make changes to this bug.